<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:17 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DisplayRotationHelper</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DisplayRotationHelper";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/playground/drawingar/helpers/PermissionHelper.html" title="class in com.playground.drawingar.helpers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/helpers/DisplayRotationHelper.html" target="_top">Frames</a></li>
<li><a href="DisplayRotationHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.playground.drawingar.helpers</div>
<h2 title="Class DisplayRotationHelper" class="title">Class DisplayRotationHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.playground.drawingar.helpers.DisplayRotationHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>android.hardware.display.DisplayManager.DisplayListener</dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">DisplayRotationHelper</span>
extends java.lang.Object
implements android.hardware.display.DisplayManager.DisplayListener</pre>
<div class="block">Вспомогательный класс, следящий за изменениями ориентации экрана.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.hardware.camera2.CameraManager</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#cameraManager">cameraManager</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private android.view.Display</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#display">display</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.hardware.display.DisplayManager</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#displayManager">displayManager</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#viewportChanged">viewportChanged</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#viewportHeight">viewportHeight</a></span></code>
<div class="block">Высота окна просмотра.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#viewportWidth">viewportWidth</a></span></code>
<div class="block">Ширина окна просмотра.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#DisplayRotationHelper-android.content.Context-">DisplayRotationHelper</a></span>(android.content.Context&nbsp;context)</code>
<div class="block">Конструктор - создание нового экземпляра.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#getHeight--">getHeight</a></span>()</code>
<div class="block">Возвращает высоту окна просмотра.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#getWidth--">getWidth</a></span>()</code>
<div class="block">Возвращает ширину окна просмотра.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#onDisplayAdded-int-">onDisplayAdded</a></span>(int&nbsp;displayId)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#onDisplayChanged-int-">onDisplayChanged</a></span>(int&nbsp;displayId)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#onDisplayRemoved-int-">onDisplayRemoved</a></span>(int&nbsp;displayId)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#onPause--">onPause</a></span>()</code>
<div class="block">Отменяет регистрацию слушателя <code>DisplayManager</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#onResume--">onResume</a></span>()</code>
<div class="block">Регистрирует слушатель <code>DisplayManager</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#onSurfaceChanged-int-int-">onSurfaceChanged</a></span>(int&nbsp;width,
                int&nbsp;height)</code>
<div class="block">Улавливает изменение размеров поверхности.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/helpers/DisplayRotationHelper.html#updateSessionIfNeeded-com.google.ar.core.Session-">updateSessionIfNeeded</a></span>(com.google.ar.core.Session&nbsp;session)</code>
<div class="block">Обновляет отображение геометрии сессии, если это необходимо.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="viewportChanged">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>viewportChanged</h4>
<pre>private&nbsp;boolean viewportChanged</pre>
</li>
</ul>
<a name="viewportWidth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>viewportWidth</h4>
<pre>private&nbsp;int viewportWidth</pre>
<div class="block">Ширина окна просмотра.</div>
</li>
</ul>
<a name="viewportHeight">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>viewportHeight</h4>
<pre>private&nbsp;int viewportHeight</pre>
<div class="block">Высота окна просмотра.</div>
</li>
</ul>
<a name="display">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>display</h4>
<pre>private final&nbsp;android.view.Display display</pre>
</li>
</ul>
<a name="displayManager">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayManager</h4>
<pre>private final&nbsp;android.hardware.display.DisplayManager displayManager</pre>
</li>
</ul>
<a name="cameraManager">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>cameraManager</h4>
<pre>private final&nbsp;android.hardware.camera2.CameraManager cameraManager</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DisplayRotationHelper-android.content.Context-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DisplayRotationHelper</h4>
<pre>public&nbsp;DisplayRotationHelper(android.content.Context&nbsp;context)</pre>
<div class="block">Конструктор - создание нового экземпляра. Пописка на события производится отдельно.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - <code>Context</code>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onResume--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onResume</h4>
<pre>public&nbsp;void&nbsp;onResume()</pre>
<div class="block">Регистрирует слушатель <code>DisplayManager</code>.
 Должен быть вызван в методе <code>Activity.onResume()</code>.</div>
</li>
</ul>
<a name="onPause--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPause</h4>
<pre>public&nbsp;void&nbsp;onPause()</pre>
<div class="block">Отменяет регистрацию слушателя <code>DisplayManager</code>.
 Должен быть вызван в методе <code>Activity.onPause()</code>.</div>
</li>
</ul>
<a name="onSurfaceChanged-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSurfaceChanged</h4>
<pre>public&nbsp;void&nbsp;onSurfaceChanged(int&nbsp;width,
                             int&nbsp;height)</pre>
<div class="block">Улавливает изменение размеров поверхности.
 SДолжен быть вызван в методе  <code>#onSurfaceChanged(javax.microedition.khronos.opengles.GL10, int, int)</code>**.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Обновленная ширина поверхности.</dd>
<dd><code>height</code> - Обновленная высота поверхности.</dd>
</dl>
</li>
</ul>
<a name="updateSessionIfNeeded-com.google.ar.core.Session-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateSessionIfNeeded</h4>
<pre>public&nbsp;void&nbsp;updateSessionIfNeeded(com.google.ar.core.Session&nbsp;session)</pre>
<div class="block">Обновляет отображение геометрии сессии, если это необходимо.
 Этот метод должен быть вызван перед каждыми вызовом <code>Session.update()</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>session</code> - Объект <code>Session</code>, у которого нужно обновить отображение геометрии.</dd>
</dl>
</li>
</ul>
<a name="onDisplayAdded-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onDisplayAdded</h4>
<pre>public&nbsp;void&nbsp;onDisplayAdded(int&nbsp;displayId)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onDisplayAdded</code>&nbsp;in interface&nbsp;<code>android.hardware.display.DisplayManager.DisplayListener</code></dd>
</dl>
</li>
</ul>
<a name="onDisplayRemoved-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onDisplayRemoved</h4>
<pre>public&nbsp;void&nbsp;onDisplayRemoved(int&nbsp;displayId)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onDisplayRemoved</code>&nbsp;in interface&nbsp;<code>android.hardware.display.DisplayManager.DisplayListener</code></dd>
</dl>
</li>
</ul>
<a name="onDisplayChanged-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onDisplayChanged</h4>
<pre>public&nbsp;void&nbsp;onDisplayChanged(int&nbsp;displayId)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onDisplayChanged</code>&nbsp;in interface&nbsp;<code>android.hardware.display.DisplayManager.DisplayListener</code></dd>
</dl>
</li>
</ul>
<a name="getWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWidth</h4>
<pre>public&nbsp;int&nbsp;getWidth()</pre>
<div class="block">Возвращает ширину окна просмотра.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Ширина окна просмотра.</dd>
</dl>
</li>
</ul>
<a name="getHeight--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getHeight</h4>
<pre>public&nbsp;int&nbsp;getHeight()</pre>
<div class="block">Возвращает высоту окна просмотра.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Высота окна просмотра.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/playground/drawingar/helpers/PermissionHelper.html" title="class in com.playground.drawingar.helpers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/helpers/DisplayRotationHelper.html" target="_top">Frames</a></li>
<li><a href="DisplayRotationHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
